import {Server} from 'org.crazydoctor.expressts';
import * as path from 'path';
import { Sources } from './sources/Sources';

new Server({
	port: 3000,
	routesPath: path.resolve(__dirname, './routes'),
	middlewaresPath: path.resolve(__dirname, './middlewares'),
	viewsPath: path.resolve(__dirname, './views'),
	viewEngine: 'pug',
	options: {
		'static': path.resolve(__dirname, './static')
	}
}).init().then((server) => {
	Sources.get(() => {
		server.start();
	});
});